GPG error on apt-get update

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
horny_1311
Level 1
Level 1
Posts: 4
Joined: Sun Feb 14, 2016 11:02 am

GPG error on apt-get update

Post by horny_1311 »

Hello
just yesterday after following the suggestion on link http://forums.linuxmint.com/viewtopic.php?f=18&t=213003 to run the following commands
sudo rm -rf /var/lib/apt/lists/*
apt update

sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 3EE67F3D0FF405B2

and they successfully removed the GPG errors, the next day again i got the same error of GPG

Ign http://packages.linuxmint.com rosa/upstream Translation-en_IN
Ign http://packages.linuxmint.com rosa/upstream Translation-en
Fetched 715 kB in 20s (34.7 kB/s)
W: GPG error: http://extra.linuxmint.com rosa Release: The following signatures were invalid: BADSIG 3EE67F3D0FF405B2 Clement Lefebvre (Linux Mint Package Repository v1) <root@linuxmint.com>
W: GPG error: http://packages.linuxmint.com rosa Release: The following signatures were invalid: BADSIG 3EE67F3D0FF405B2 Clement Lefebvre (Linux Mint Package Repository v1) <root@linuxmint.com>
W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/trusty/Release Unable to find expected entry 'restricted/binary-amd64/Packages' in Release file (Wrong sources.list entry or malformed file)

E: Some index files failed to download. They have been ignored, or old ones used instead.

after running the commands:
sudo rm -rf /var/lib/apt/lists/*
apt update

sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 3EE67F3D0FF405B2

this time they gave the output unchanged=1, and the error persisted

I have installed Rosa just yesterday.
Output of inxi -Fxz

System: Host: akhil-Studio-1537 Kernel: 3.19.0-32-generic x86_64 (64 bit gcc: 4.8.2)
Desktop: Cinnamon 2.8.6 (Gtk 3.10.8~8+qiana) Distro: Linux Mint 17.3 Rosa
Machine: Mobo: Dell model: 0P173H v: A09 Bios: Dell v: A09 date: 05/27/2009
CPU: Dual core Intel Core2 Duo T7500 (-MCP-) cache: 4096 KB
flags: (lm nx sse sse2 sse3 ssse3 vmx) bmips: 8778
clock speeds: max: 2201 MHz 1: 2201 MHz 2: 800 MHz
Graphics: Card: Intel Mobile 4 Series Integrated Graphics Controller bus-ID: 00:02.0
Display Server: X.Org 1.17.1 drivers: intel (unloaded: fbdev,vesa) Resolution: 1280x800@60.0hz
GLX Renderer: Mesa DRI Mobile Intel GM45 Express GLX Version: 2.1 Mesa 10.5.9 Direct Rendering: Yes
Audio: Card Intel 82801I (ICH9 Family) HD Audio Controller driver: snd_hda_intel bus-ID: 00:1b.0
Sound: Advanced Linux Sound Architecture v: k3.19.0-32-generic
Network: Card-1: Intel WiFi Link 5100 driver: iwlwifi v: in-tree: bus-ID: 04:00.0
IF: wlan0 state: down mac: <filter>
Card-2: Broadcom NetLink BCM5784M Gigabit Ethernet PCIe driver: tg3 v: 3.137 bus-ID: 08:00.0
IF: eth0 state: up speed: 100 Mbps duplex: full mac: <filter>
Drives: HDD Total Size: 1258.3GB (1.9% used) ID-1: /dev/sda model: FUJITSU_MHZ2250B size: 250.1GB temp: 42C
ID-2: USB /dev/sdc model: Cruzer_Blade size: 8.0GB temp: 0C
ID-3: USB /dev/sdb model: External_USB_3.0 size: 1000.2GB temp: 0C
Partition: ID-1: / size: 29G used: 15G (55%) fs: ext4 dev: /dev/sda6
ID-2: swap-1 size: 5.15GB used: 0.00GB (0%) fs: swap dev: /dev/sda7
RAID: No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors: System Temperatures: cpu: 70.0C mobo: 67.0C
Fan Speeds (in rpm): cpu: 2833 fan-2: 2837
Info: Processes: 176 Uptime: 5:44 Memory: 1246.8/3885.9MB Init: Upstart runlevel: 2 Gcc sys: 4.8.4
Client: Shell (bash 4.3.111) inxi: 2.2.28


Just to add further, my linux mint randomly crashes (randomly) and i get the screen:- Linux mint has just crashed. Running in fallback mode. Do you want to restart?
Also, since the time my GPG problem was resolved yesterday, i have just installed python-numpy, python-scipy, python-sklearn, python-sklearn-doc, python-sklearn-lib, python-joblib packages.....nothing else
Can someone guide me how to root out the problem??
Thanks in Advance :)

horny_1311
Level 1
Level 1

Posts: 2
Joined: Sun Feb 14, 2016 8:32 pm
location: India
Top

jonnymoon96
Level 1
Level 1
Posts: 27
Joined: Wed Aug 12, 2015 9:19 pm

Re: GPG error on apt-get update

Post by jonnymoon96 »

I had the same problems what i had to do was reinstall Linux mint also i had problems when i installed gnupg2 that is when the conflict happend my mistake was removing gnupg never do that never remove gnupg because when i removed gnupg i had to reinstall linux mint to fix the problems i had with linux mint

Post Reply

Return to “Software & Applications”